package com.mongo.demo.entity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;
import java.math.BigDecimal;

@AllArgsConstructor
@NoArgsConstructor
@Data
@Builder
@Document(collection = "employee")
public class Employee {
    @Id
    private String id;

    private String name;
    private String designation;
    private BigDecimal salary;

    public String getId() {
        return this.id;
    }



}
