package com.mongo.demo.utils;

import com.mongo.demo.dto.EmployeeDto;
import com.mongo.demo.entity.Employee;
import org.springframework.beans.BeanUtils;

public class EmployeeMapper {

    public static EmployeeDto entityToDto(Employee employee ){
        EmployeeDto dto = new EmployeeDto();
        BeanUtils.copyProperties(employee,dto);
        return dto;
    }

    public static Employee dtoToEntity(EmployeeDto dto ){
        Employee entity = new Employee();
        BeanUtils.copyProperties(dto , entity);
        return entity;
    }
}
